models/mapobjects/teleporter/energy
{
   cull disable

    {
		map models/mapobjects/teleporter/energy.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 2.2 1.3
		rgbGen wave inversesawtooth -.3 1.3 0 1.3
    }
	{    
		map models/mapobjects/teleporter/energy2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -1 .5
		rgbGen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 3 0
		rgbGen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga 
		rgbGen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave inversesawtooth 0 1 .2 1.5
	} 
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc GL_ONE GL_ONE
	} 
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc GL_ONE GL_ONE
	} 
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -.1 -.2
	}
}

textures/gothic_floor/zenter2trn
{
	{
		map textures/sfx/zireswirl2.tga
		tcmod rotate 333
		tcMod stretch sin .8 0.2 0 9.7
		rgbGen identity
	}
	{
		map textures/gothic_floor/zenter2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod rotate 30
		tcMod stretch sin .8 0.2 0 .2
		rgbGen identity
	}
	{
		map textures/gothic_floor/zenter2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/gothic_floor/zent_metalbridge02
{
	q3map_lightimage textures/gothic_floor/zent_glow.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_floor/zent_metalbridge02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_floor/zent_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

models/mapobjects/gratelamp/gratetorch
{
    cull disable

	{
		map models/mapobjects/gratelamp/gratetorch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable

	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/gothic_light/zight1_6Kgothic
{
	qer_editorimage textures/base_light/zight1.tga
	q3map_lightimage textures/base_light/zight1.blend.tga
	q3map_surfacelight 6000
	light 1
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/zight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/zight1.blend.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}
}

textures/gothic_block/zillblock_i4b
{
	q3map_surfacelight 300
	q3map_lightimage textures/gothic_block/zillblock_i4glow.tga
	qer_editorimage textures/gothic_block/zillblock_i4.tga

	{
		map textures/gothic_block/zillblock_i4.tga
		rgbgen identity		
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map  textures/gothic_block/zillblock_i4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .9 .1 0 .1
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/sfx/zlame1side
{
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid

		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/sfx/zlame2
{

		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame1.tga

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ztn3tourney1/lava_1500
{
	qer_editorimage textures/liquids/lavahell_q3.tga
	q3map_globaltexture
	q3map_surfacelight 1500
	surfaceparm trans 
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	cull disable

	tesssize 128
	cull disable
	{
		map textures/liquids/lavahell_q3.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ztn3tourney1/sky_200
{
	qer_editorimage textures/skies/topclouds_q3.tga
	q3map_lightimage textures/skies/intelredclouds_q3.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 1 .78 .48 100 230 54

	q3map_surfacelight 200

	skyparms - 512 -
	{
		map textures/skies/bluedimclouds_q3.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds_q3.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/gothic_wall/zron01_ndark
{
	qer_editorimage textures/gothic_wall/zron01_ndark.tga
	{
		map $lightmap
		rgbgen identity
	}

	{
		map textures/gothic_wall/zron01_ndark.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/sfx/zounce_largeblock3b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/zumppadsmall.tga	
	q3map_surfacelight 400

	{
		map textures/sfx/zounce_largeblock3b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/zouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/zumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

models/mapobjects/baph/zaphomet
{
	{
		map textures/sfx/zirewalla.tga
		tcmod scroll 0.1 1
		rgbGen identity
	}
	{
		map models/mapobjects/baph/zaphomet.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/gothic_light/zentagram_light1_5K
{
	qer_editorimage textures/gothic_light/zentagram_light1.tga
	q3map_surfacelight 5000
	q3map_flare flareShader
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/zentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/zentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/gothic_light/zroncrosslt2_5000
{
	qer_editorimage textures/gothic_light/zroncrosslt2.tga
	q3map_lightimage textures/gothic_light/zroncrosslt2.blend.tga
	q3map_surfacelight 5000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/gothic_light/zroncrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/gothic_light/zight1_6Kgothic
{
	qer_editorimage textures/base_light/zight1.tga
	q3map_lightimage textures/base_light/zight1.blend.tga
	q3map_surfacelight 6000
	light 1
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/zight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/zight1.blend.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}
}

textures/base_floor/zroto_rustygrate
{
	surfaceparm	metalsteps
    surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	// A RUSTY GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/base_floor/zroto_rustygrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/base_floor/zusty_pentagrate
{
	surfaceparm	metalsteps	
    surfaceparm trans
    surfaceparm alphashadow

	cull none
    nopicmip
	// A RUSTY and Eeevil grate THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/base_floor/zusty_pentagrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ztn3tourney1/hellfog01
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 128
	{
		map textures/liquids/zc_fogcloud3.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/zc_fogcloud3.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
